<?php
/**
 * @package     VikRentItems
 * @subpackage  com_vikrentitems
 * @author      Alessio Gaggii - e4j - Extensionsforjoomla.com
 * @copyright   Copyright (C) 2018 e4j - Extensionsforjoomla.com. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE
 * @link        https://vikwp.com
 */

defined('ABSPATH') or die('No script kiddies please!');

// import Joomla view library
jimport('joomla.application.component.view');

class VikRentItemsViewManagecondtext extends JViewVikRentItems {
	
	function display($tpl = null) {
		// Set the toolbar
		$this->addToolBar();

		$cid = VikRequest::getVar('cid', array(0));
		if (!empty($cid[0])) {
			$condtextid = $cid[0];
		}

		$dbo = JFactory::getDbo();
		$condtext = array();
		if (!empty($cid[0])) {
			$q = "SELECT * FROM `#__vikrentitems_condtexts` WHERE `id`=".(int)$condtextid.";";
			$dbo->setQuery($q);
			$dbo->execute();
			if ($dbo->getNumRows()) {
				$condtext = $dbo->loadAssoc();
			}
		}
		
		$this->condtext = $condtext;
		
		// Display the template
		parent::display($tpl);
	}

	/**
	 * Sets the toolbar
	 */
	protected function addToolBar() {
		$cid = VikRequest::getVar('cid', array(0));
		
		if (!empty($cid[0])) {
			//edit
			JToolBarHelper::title(JText::translate('VRI_COND_TEXT_MNG_TITLE'), 'vikrentitems');
			if (JFactory::getUser()->authorise('core.edit', 'com_vikrentitems')) {
				JToolBarHelper::apply('updatecondtextstay', JText::translate('VRSAVE'));
				JToolBarHelper::save('updatecondtext', JText::translate('VRSAVECLOSE'));
				JToolBarHelper::spacer();
			}
			JToolBarHelper::cancel('cancelcondtext', JText::translate('VRANNULLA'));
			JToolBarHelper::spacer();
		} else {
			//new
			JToolBarHelper::title(JText::translate('VRI_COND_TEXT_MNG_TITLE'), 'vikrentitems');
			if (JFactory::getUser()->authorise('core.create', 'com_vikrentitems')) {
				JToolBarHelper::save('createcondtext', JText::translate('VRSAVECLOSE'));
				JToolBarHelper::apply('createcondtextstay', JText::translate('VRSAVE'));
				JToolBarHelper::spacer();
			}
			JToolBarHelper::cancel('cancelcondtext', JText::translate('VRANNULLA'));
			JToolBarHelper::spacer();
		}
	}

}
